/*
 * Created on 2005/04/20
 */
package roomlayout;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * @author kwsk
 */
public class Log extends JPanel
{
    private static Log instance = new Log();
    private JTextArea textArea;

    private Log() {
        super();
        
        textArea = new JTextArea(20, 40);
        textArea.setEditable(false);
        JScrollPane scrollPane = new JScrollPane(textArea);
        scrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        scrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);
        add(scrollPane);
    }

    public static Log getInstance() {
        return instance;
    }
    
    public static void println(String s) {
        print(s + "\n");
    }

    public static void print(String s) {
        instance.textArea.append(s);
        try {
            BufferedWriter writer = new BufferedWriter(new FileWriter("log.txt", true)); // append
            writer.write(s);
            writer.close();
        }
        catch(IOException e) {
            e.printStackTrace();
        }
    }
}
