/*
 * Created on 2005/04/18
 */
package roomlayout;

/**
 * @author kwsk
 */
public class Vector2D
{
    int x, y;
    
    public Vector2D(int x, int y) {
        this.x = x;
        this.y = y;
    }

    public Vector2D(Vector2D from, Vector2D to) {
        this.x = to.x - from.x;
        this.y = to.y - from.y;
    }
    
    public String toString() {
        return "(" + x + ", " + y + ")";
    }
    
    static public boolean onTheRight(Vector2D v0, Vector2D v1, Vector2D p){
        Vector2D vec0 = new Vector2D(v0, v1);
        Vector2D vec1 = new Vector2D(v0, p);
        return (Vector2D.crossProduct(vec0, vec1) >= 0);
    }
    
    static public int crossProduct(Vector2D v0, Vector2D v1) {
        return v0.x * v1.y - v1.x * v0.y;
    }
    
}
