/*
 * Created on 2005/04/20
 */
package roomlayout;

import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;

/**
 * @author kwsk
 */
public class ControlDialog extends JDialog
{
    private RoomModel model;
    private RoomView view;
    
    private JPanel panelUserStudy, panelLog;

    public ControlDialog(RoomModel model, RoomView view) {
        super();
        
        this.model = model;
        this.view = view;
        
        JTabbedPane tabbedPane = new JTabbedPane();

        panelUserStudy = new UserStudy(model, view);
        tabbedPane.addTab("[UeXg", panelUserStudy);
        
        panelLog = Log.getInstance();
        tabbedPane.addTab("O", panelLog);
        
        getContentPane().add(tabbedPane);
        
        pack();
        setLocation(820, 0);
        setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
        show();
    }
}
